#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

%if 0%{?fedora}
%global		with_python3 1
%global		__python_bin %{__python3}
%global		__python_sitelib %{python3_sitelib}
%else
%global		__python_bin %{__python2}
%global		__python_sitelib %{python2_sitelib}
%endif

%global		package_version 0.2.3
%global		package_name rhv-log-collector-analyzer

Name:           %{package_name}
Version:        0.2.3
Release:        0%{?release_suffix}%{?dist}
Summary:	RHV Log Collector - Analysis tools
BuildArch:      noarch

URL:            http://www.ovirt.org
Source0:        http://resources.ovirt.org/pub/src/%{package_name}/%{package_name}-%{package_version}.tar.gz

# In the past, users had an opition to install ovirt-log-collector-analyzer which
# currently should be replaced by rhv-log-collector-analyzer
Obsoletes:      ovirt-log-collector-analyzer

%if 0%{?with_python3}
Requires:       python3
BuildRequires:  python3-devel
%else
Requires:       python
BuildRequires:  python2-devel
%endif

Requires:	gnutls-utils
Requires:	rubygem-asciidoctor
Requires:	libxml2
Requires:	openssl
Requires:	engine-db-query >= 1.2.0

BuildRequires:  git

%if 0%{?rhel} >= 7 || 0%{?fedora}
Requires:       ovirt-engine
%else
Requires:       rhevm-setup
%endif

Requires:	coreutils
Requires:	util-linux
License:	ASL 2.0 and GPLv2+

%description
This package contains tools to help analyze oVirt Log Collector archives

%prep
%setup -q -n %{package_name}-%{package_version}

%build
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check \
	PYTHON="%{__python_bin}"
make %{?_smp_mflags}

%check
make check

%install
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%files
%doc AUTHORS
%license COPYING
%license COPYING-GPL
%{_bindir}/rhv-log-collector-analyzer
%{_bindir}/rhv-log-collector-analyzer-live
%dir %{_datadir}/%{name}/analyzer
%{_datadir}/%{name}/analyzer/
%{_mandir}/man8/rhv-log-collector-analyzer.8*
%{__python_sitelib}/rhv_log_collector_analyzer/*
%dir %{__python_sitelib}/rhv_log_collector_analyzer

%changelog
* Wed Jan 16 2019 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.3-0
- --live: Check if Engine CA has 1 year left

* Mon Jan 14 2019 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.2-0
- --live: Add ca.pem data

* Tue Sep 11 2018 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.1-0
- --live: Add certtool validation for CA

* Tue Sep 11 2018 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-0
- - gitignore: add src/inventory-profile
- analyzer: handle postgresql10
- analyzer: warn if cluster/datacenter are < 4.1
- analyzer: check if vdc_options contain non default values
- --live: display rpms installed in the Engine
- --live: optimization for INFO
- analyzer: improve outdated config message
- --live: optimization for a if block
- --live: Use Font Awesome for WARNING messages

* Tue Sep 11 2018 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.7-0
- rhbz#1620271 - enable rhv_analyzer plugin for sos >= 3.6

* Tue Sep 11 2018 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.6-0
- rhbz#1618739 - sql: handle multiple unknown hypervisors

* Wed Aug 15 2018 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.5-0
- spec: require engine-db-query >= 1.2.0

* Wed Aug 15 2018 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.4-0
- analyzer does not clean its temp files after failure - rhbz#1539029

* Tue Aug 14 2018 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.3-0
- rhv-log-collector-analyzer should obsolete/provide ovirt-log-collector-analyzer - rhbz#1608328
- analyzer does not clean its temp files after failure - rhbz#1539029

* Fri Jul 20 2018 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.1.2-0
- release 0.1.2-0

* Wed Apr 25 2018 Douglas Schilling Landgraf <dougsland@redhat.com> - 4.3.0
- initial release
